# Changelog

## 2024-10-13 - 3.0.46 - fix(WebDuplexStream)
Fix errors in WebDuplexStream transformation and test logic

- Corrected async handling in WebDuplexStream write function
- Fixed `WebDuplexStream` tests to properly handle asynchronous reading and writing

## 2024-10-13 - 3.0.45 - fix(ts)
Fixed formatting issues in SmartDuplex class

- Resolved inconsistent spacing in SmartDuplex class methods and constructor.
- Ensured consistent formatting in the getWebStreams method.

## 2024-06-02 - 3.0.39 - smartduplex
Add .getWebStreams method

- Introduced a new `.getWebStreams` method in the smartduplex module, providing compatibility with the web streams API.

## 2024-03-16 - 3.0.34 - configuration
Update project configuration files

- Updated `tsconfig` for optimization.
- Modified `npmextra.json` to set the `githost` attribute.

## 2023-11-03 - 3.0.0 to 3.0.8 - core
Transition to major version 3.x

- Implemented breaking changes in the core system for better performance and feature set.
- Continuous core updates to improve stability and performance across minor version increments.
  
## 2023-11-02 - 2.0.4 to 2.0.8 - core
Core updates and a major fix

- Implemented core updates addressing minor bugs and enhancements.
- A significant breaking change update transitioning from 2.0.x to 3.0.0.
  
## 2022-03-31 - 2.0.0 - core
Major esm transition

- Implemented a breaking change by switching the core to ESM (ECMAScript Module) format for modernized module handling.
